{% extends 'proteins/base.html' %}

{% block content %}
    <h2> Historial</h2>
    <div>
        <div style="float: left;">
            <p>
                <a  href="{% url 'urls_upload' %}" class="btn btn-primary" role="button" >Upload File </a>
            </p>
        </div>
        <div style="float: inline-end;">
            <form method="post" action="{% url 'delete_all_urls'  %}">
                {% csrf_token %}
                Delete All
                <button type="submit" class="btn btn-danger btn-sm">
                    <span class="glyphicon glyphicon-trash"></span>
                </button>
               
            </form>
        </div>
    </div>
    <table class="table table-hover" id="tableurlslist">
        <thead>
            <tr>
                <th>Title</th>
                <th>Created Date</th>
                <th>Download</th>
                <th>Delete</th>
                <th>Open</th>
            </tr>
        </thead>
        <tbody>
            {% for u in urls %}
            <tr>
                <td> {{ u.title }} </td>
                <td> {{ u.created_date|date:"D, d M, Y " }} </td>
                <td>
                    <a  href="{{ u.gb.url }} " class="btn btn-outline-primary" role="button"  >
                        <span class="glyphicon glyphicon-download"></span>
                    </a>

                </td>
                
                <td>
                    <form method="post" action="{% url 'delete_url' u.pk %}">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger btn-sm">
                            <span class="glyphicon glyphicon-trash"></span>
                        </button>
                       
                    </form>
                </td>
                <td>
                    <a  href="{% url 'read_file' pk=u.id %}" class="btn btn-outline-primary" role="button"  target="_blank" >
                        <span class="glyphicon glyphicon-new-window" ></span>
                    </a>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock%}

{% block custom_js %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
<script type="text/javascript" language="javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script type="text/javascript" language="javascript"
    src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/plug-ins/1.10.21/pagination/full_numbers_no_ellipses.js"></script>

<script type="text/javascript" class="init">
    $(document).ready(function () {
        $('#tableurlslist').DataTable({
            "pagingType": "full_numbers_no_ellipses"
        });
    });
</script>
{% endblock %}

